%global momorel 2
Name: irda-utils
Summary: Utilities for infrared communication between devices
Version: 0.9.16
Release: %{momorel}m
Source0: http://jaist.dl.sourceforge.net/sourceforge/irda/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: irda-utils-0.9.14.ppc.patch
Patch1: irda-utils-0.9.14-chkconfig.patch
Patch2: irda-utils-0.9.14-typo.patch
Patch3: irda-utils-0.9.13-i18n.patch
Patch4: irda-utils-0.9.16-rootonly.patch
Patch5: irda-utils-0.9.15-rh1.patch
Patch6: irda-utils-0.9.16-rh2.patch
Patch10: irda-utils-0.9.16-mo1.patch
Group: Applications/System
URL: http://irda.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: chkconfig, grep
License: GPL

%description
IrDA(TM) (Infrared Data Association) is an industry standard for
wireless, infrared communication between devices. IrDA speeds range
from 9600 bps to 4 Mbps, and IrDA can be used by many modern devices
including laptops, LAN adapters, PDAs, printers, and mobile phones.

The Linux-IrDA project is a GPL'd implementation, written from
scratch, of the IrDA protocols. Supported IrDA protocols include
IrLAP, IrLMP, IrIAP, IrTTP, IrLPT, IrLAN, IrCOMM and IrOBEX.

The irda-utils package contains a collection of programs that enable
the use of IrDA protocols. Most IrDA features are implemented in the
kernel, so IrDA support must be enabled in the kernel before any IrDA
tools or programs can be used. Some configuration outside the kernel
is required, however, and some IrDA features, like IrOBEX, are
actually implemented outside the kernel.

%prep
rm -rf %{buildroot}

%setup -q
%ifarch ppc
#%%patch0 -p1 -b .ppc
%endif
%patch1 -p1 -b .chkconfig
%patch2 -p1 -b .typo
%patch3 -p1 -b .i18n
%patch4 -p1 -b .root
%patch5 -p1 -b .rh1
%patch6 -p1 -b .rh2
%patch10 -p1 -b .mo1

%build
%ifnarch ppc
make all RPM_BUILD_ROOT="%{buildroot}" RPM_OPT_FLAGS="%{optflags}" ROOT="%{buildroot}"
%else
make all RPM_BUILD_ROOT="%{buildroot}" RPM_OPT_FLAGS="-O2 -fsigned-char" ROOT="%{buildroot}"
%endif

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_initscriptdir}

%makeinstall  ROOT="%{buildroot}" MANDIR="%{buildroot}/%{_mandir}"
chmod -x  %{buildroot}/etc/sysconfig/irda
rm -f  %{buildroot}/etc/sysconfig/network-scripts/ifcfg-irlan0
mv irattach/README irattach/README.irattach
mv irdadump/README irdadump/README.irdadump
mv irdaping/README irdaping/README.irdaping
mv tekram/README tekram/README.tekram
mv etc/modules.conf.irda etc/modprobe.conf.irda

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add irda
if test -r /var/run/irattach.pid
then
	/etc/init.d/irda restart
fi

%preun
if [ "$1" = 0 ]; then
	if test -r /var/run/irattach.pid
	then
		/etc/init.d/irda stop
	fi
	/sbin/chkconfig --del irda
fi

exit 0


%files
%defattr(-,root,root)
%{_sbindir}/*
%ifnarch ppc
%{_sbindir}/findchip
%endif
%{_bindir}/*
%{_mandir}/man?/*
%config %{_initscriptdir}/irda
%config /etc/sysconfig/irda
%doc README etc/ifcfg-irlan0 etc/modprobe.conf.irda
%doc irattach/README.irattach
%doc irdadump/README.irdadump
%doc irdaping/README.irdaping
%doc tekram/README.tekram

%changelog
* Fri Jan 21 2005 mutecat <mutecat@momonga-linux.org>
- (0.9.16-2m)
- arrange ppc

* Mon Jan 10 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.16-1m)
- update to 0.9.16
- add Patch1: irda-utils-0.9.14-chkconfig.patch
- add Patch2: irda-utils-0.9.14-typo.patch
- add Patch3: irda-utils-0.9.13-i18n.patch
- add Patch4: irda-utils-0.9.16-rootonly.patch
- add Patch5: irda-utils-0.9.15-rh1.patch
- add Patch6: irda-utils-0.9.16-rh2.patch
- add Patch10: irda-utils-0.9.16-mo1.patch

* Sun Mar 21 2004 Toru Hoshina <t@momonga-linux.org>
- (0.9.15-2m)
- revised spec for enabling rpm 4.2.

* Fri Jun 13 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.15-1m)
- version 0.9.15

* Tue Sep  4 2001 Daisuke Yabuki <dxy@acm.org>
- (0.9.14-6k)
- rebuild against libtool 1.4.

* Mon Mar  5 2001 Daisuke Yabuki <dxy@acm.org>
- (0.9.14-3k)
- Just catching up with the latest
- irdaping/README.txt renamed to irdaping/README

* Mon Feb 19 2001 Daisuke Yabuki <dxy@acm.org>
- (0.9.13-5k)
- $DONGLE valuable evaluation modification in irda startup script: 
  from 'if $DONGLE ; then' to 'if [ -n "$DONGLE" ]; then'
- modified "chkconfig", "description" and some other comments in the startup
  script so that it could be handled by chkconfig appropriately

* Tue Feb 13 2001 Daisuke Yabuki <dxy@acm.org>
- (0.9.13-3k)
- Removed irmanager (not needed anymore)
- now irda startup script is covered by chkconfig

* Sun Mar 26 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fix ( Group, BuildRoot, Distribution, description )

* Wed Jan 19 2000 Ian Soboroff <ian@cs.umbc.edu>
- 0.9.8
- Added findchip to package
- Added READMEs for the various utilities to the doc directory

* Wed Nov 10 1999 Dag Brattli <dagb@cs.uit.no>
- 0.9.5
- Some fixes to irattach, so it works with the latest kernels and patches
- Removed OBEX which will now become its own distribution
- Removed irdadump-X11 which will be replaced with a GNOME version

* Wed Sep 8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.9.4
- include new stuff (palm3, psion, obex_tcp, ...)
- various fixes

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Fix .spec bug

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- add README to %doc
- compile gnobex, now in irda-utils-X11

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- initial RPM:
  - handle RPM_OPT_FLAGS and RPM_BUILD_ROOT
  - fix build
  - split in normal and X11 packages
